Subject: Re: linux-next: build failure after merge of the irqchip tree

From: Marc Zyngier <[email-masked]>
Date: Thu, 08 Apr 2021 08:56:18 +0100

Hi Stephen,

On 2021-04-08 07:35, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the irqchip tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/irqchip/irq-wpcm450-aic.c:9:10: fatal error: asm/exception.h:
> No such file or directory
>     9 | #include <asm/exception.h>
>       |          ^~~~~~~~~~~~~~~~~
> 
> Caused by commit
> 
>   fead4dd49663 ("irqchip: Add driver for WPCM450 interrupt controller")
> 
> I have used the irqchip tree from next-20210407 for today.

Thanks for the heads up. I guess that's the effect of COMPILE_TEST
which was apparently not very well tested... I'll drop it from Kconfig.

Jonathan, feel free to submit something re-enabling COMPILE_TEST once
you've worked out the missing dependencies.

Thanks,

         M.
-- 
Jazz is not dead. It just smells funny...